searchData={"items":[{"type":"task","title":"mix local.needle","doc":"Updates needle_new locally.\n\n    $ mix local.needle\n\nIt accepts the same command line options as `archive.install hex needle_new`.","ref":"Mix.Tasks.Local.Needle.html"},{"type":"task","title":"mix needle.new","doc":"Creates a new Phoenix project.\n\nIt expects the path of the project as an argument.\n\n    $ mix needle.new PATH [--app APP] [--module MODULE]\n\nA project at the given PATH will be created. The application name and module\nname will be retrieved from the path, unless `--app` or `--module` is given.","ref":"Mix.Tasks.Needle.New.html"},{"type":"task","title":"Options - mix needle.new","doc":"* `--umbrella` - generates an umbrella project, which includes two\n    applications, one for the domain, anotehr for the web interface.\n\n  * `--app` - the name of the OTP application.\n\n  * `--module` - the name of the base module in the generated skeleton.\n\n  * `-v`, `--version` - prints the version of `needle.new.*` tasks.\n\n#","ref":"Mix.Tasks.Needle.New.html#module-options"},{"type":"task","title":"Context options - mix needle.new","doc":"* `--database` - specify the database adapter for Ecto. One of:\n\n      * `postgres` - via https://github.com/elixir-ecto/postgrex\n      * `mysql` - via https://github.com/elixir-ecto/myxql\n      * `mssql` - via https://github.com/livehelpnow/tds\n      * `sqlite3` - via https://github.com/elixir-sqlite/ecto_sqlite3\n\n    Please check the driver docs for more information and requirements.\n    Defaults to \"postgres\".\n\n  * `--binary-id` - use `binary_id` as primary key type in Ecto schemas\n\n  * `--no-ecto` - do not generate Ecto files.\n\n  * `--no-mailer` - do not generate Swoosh mailer files.\n\nWhen passing the `--no-ecto` option, Needle generators such as\n`needle.gen.html`, `needle.gen.json`, `needle.gen.live`, and\n`needle.gen.context` may no longer work as expected as they\ngenerate context files that rely on Ecto for the database access.\nIn those cases, you can pass the `--no-context` flag to generate most\nof the HTML and JSON files but skip the context, allowing you to fill\nin the blanks as desired.\n\n#","ref":"Mix.Tasks.Needle.New.html#module-context-options"},{"type":"task","title":"Web options - mix needle.new","doc":"* `--http-server` - specify the http server adapter. One of:\n    * `cowboy` - via https://github.com/elixir-plug/plug_cowboy\n    * `bandit` - via https://github.com/mtrudel/bandit\n\n  Please check the adapter docs for more information and requirements.\n  Defaults to \"cowboy\".\n\n  * `--no-dashboard` - do not include Phoenix.LiveDashboard.\n\n  * `--no-assets` - do not generate assets.\n\n  * `--no-html` - do not generate HTML related files.\n\n  * `--no-live` - do not generate LiveView related files.\n\nWhen passing the `--no-html` option, the files generated by `needle.gen.html`\nwill no longer work, as important HTML components will be missing.\n\n#","ref":"Mix.Tasks.Needle.New.html#module-web-options"},{"type":"task","title":"Other options - mix needle.new","doc":"* `--no-gettext` - do not generate gettext files","ref":"Mix.Tasks.Needle.New.html#module-other-options"},{"type":"task","title":"Examples - mix needle.new","doc":"$ mix needle.new hello_world\n\nwhich is equivalent to:\n\n    $ mix needle.new hello_world --module HelloWorld\n\n#","ref":"Mix.Tasks.Needle.New.html#module-examples"},{"type":"task","title":"create project without assets and HTML - mix needle.new","doc":"$ mix needle.new hello_world --no-assets --no-html\n\nwhich is useful to API projects.\n\n#","ref":"Mix.Tasks.Needle.New.html#module-create-project-without-assets-and-html"},{"type":"task","title":"create an umbrella project - mix needle.new","doc":"$ mix needle.new hello_world --umbrella\n\nwhich generates the following directory structure and modules:\n\n```\nhello_world_umbrella/   # HelloWorldUmbrella\n  apps/\n    hello_world/        # HelloWorld\n    hello_world_web/    # HelloWorldWeb\n```\n\nYou can read more about umbrella projects using the\nofficial [Elixir guide](https://elixir-lang.org/getting-started/mix-otp/dependencies-and-umbrella-apps.html#umbrella-projects).","ref":"Mix.Tasks.Needle.New.html#module-create-an-umbrella-project"},{"type":"task","title":"mix needle.new.ctx","doc":"Creates a new context project within an umbrella project.\n\nIt expects the command to be run inside an umbrella application's\n`apps` directory:\n\n    $ cd my_umbrella/apps\n    $ mix needle.new.ctx PATH [--app APP] [--module MODULE]\n\nThis task is intended to create a bare context project without web\nintegration, which serves as a core application of your domain.","ref":"Mix.Tasks.Needle.New.Ctx.html"},{"type":"task","title":"Options - mix needle.new.ctx","doc":"It supports the same options as the `needle.new` task.\n\nSee `mix help needle.new` for details.","ref":"Mix.Tasks.Needle.New.Ctx.html#module-options"},{"type":"task","title":"Examples - mix needle.new.ctx","doc":"$ mix needle.new.ctx hello_ctx","ref":"Mix.Tasks.Needle.New.Ctx.html#module-examples"},{"type":"task","title":"mix needle.new.web","doc":"Creates a new Phoenix web project within an umbrella project.\n\nIt expects the command to be run inside an umbrella application's\n`apps` directory:\n\n    $ cd my_umbrella/apps\n    $ mix needle.new.web PATH [--app APP] [--module MODULE]\n\nThis task is intended to create a bare Phoenix project without context\nintegration, which interfaces with your greater umbrella application(s).","ref":"Mix.Tasks.Needle.New.Web.html"},{"type":"task","title":"Options - mix needle.new.web","doc":"It supports the same options as the `needle.new` task.\n\nSee `mix help needle.new` for details.","ref":"Mix.Tasks.Needle.New.Web.html#module-options"},{"type":"task","title":"Examples - mix needle.new.web","doc":"$ mix needle.new.web hello_web","ref":"Mix.Tasks.Needle.New.Web.html#module-examples"}],"content_type":"text/markdown"}